# TSK_FS_INODE Struct Reference

`#include <fs_tools.h>`

## Detailed Description

Generic data strcture to hold file meta data.

## Data Fields

INUM_T | addr
| Address of meta data structure.
mode_t | mode
| file type and permissions
int | nlink
| link count
OFF_T | size
| file size
uid_t | uid
| owner id
gid_t | gid
| group id
time_t | mtime
| last modified time
time_t | atime
| last accessed time
time_t | ctime
| last status changed time
DADDR_T * | direct_addr
| List of direct blocks.
int | direct_count
| Number of blocks in direct list.
DADDR_T * | indir_addr
| List of indirect blocks.
int | indir_count
| Number of blocks in indirect list.
uint32_t | seq
| Sequence number of file (NTFS Only).
TSK_FS_DATA * | attr
| Attributes for file (NTFS Only).
TSK_FS_INODE_NAME_LIST * | name
| Name of file stored in metadata (FAT and NTFS Only).
char * | link
| Name of target file if this is a symbolic link.
TSK_FS_INODE_FLAG_ENUM | flags
| Flags for file.
time_t | crtime
| NTFS Creation time.
time_t | dtime
| Linux deletion time.
time_t | bkup_time
| HFS+ backup time.
time_t | attr_mtime
| HFS+ mtime.

The documentation for this struct was generated from the following file:

- src/fstools/fs_tools.h